using communicate_module.communication;
using Communication;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace communicate_module
{
    class Program
    {
        static void Main(string[] args)
        {
            TerminalSimul.GetInstance().Init();
            //TerminalSimul.GetInstance().Bind("tcp://192.168.2.159:15000");
            TerminalSimul.GetInstance().Connect("tcp://192.168.2.127:30000");
            TerminalSimul.GetInstance().CreateSimulThread();
            while(Console.Read() != 'q')
            {
                Thread.Sleep(1000*10);
            }
            TerminalSimul.GetInstance().Uninit();
        }
    }
}
